add_to_page_cache
Prev | More Memory Management Functions | Next

## Name

add_to_page_cache — add newly allocated pagecache pages

## Synopsis

`int add_to_page_cache (` | struct page * | page,
| struct address_space * | mapping,
| pgoff_t | offset,
| gfp_t | gfp_mask`)`;

## Arguments

`page`

  page to add

`mapping`

  the page's address_space

`offset`

  page index

`gfp_mask`

  page allocation mode

## Description

This function is used to add newly allocated pagecache pages; the page is new, so we can just run `SetPageLocked` against it. The other page state flags were set by `rmqueue`.

This function does not add the page to the LRU. The caller must do that.

Prev | Up | Next
filemap_fdatawait | Home | unlock_page